const std = @import("std");
const rl = @import("raylib");

//Max Vars

pub const MAXEntitys: u32 = 1000;

pub const MAXComponents: u32 = 32;

//Id Types
pub const entity = usize;

pub const component = usize;

pub const Signature = std.bit_set.IntegerBitSet(MAXComponents);

//Components

pub const Transform = struct {
    pos: rl.Vector2,
    rot: f16,
    scale: rl.Vector2,
};